Subject: Re: [PATCH] ptp: Switch back to struct platform_driver::remove()

From: Jakub Kicinski <[email-masked]>
Date: Sat, 30 Nov 2024 11:01:44 -0800

On Sat, 30 Nov 2024 18:34:48 +0100 Uwe Kleine-König wrote:
> I somehow expected that it's you who will pick up this patch? Does your
> ack mean that someone from the netdev people will pick it up

Yes, we pick up PTP patches with Richard's ack. I wonder if we should
adjust MAINTAINERS like this:

diff --git a/MAINTAINERS b/MAINTAINERS
index b878ddc99f94..0ae7ac36612e 100644
--- a/MAINTAINERS
+++ b/MAINTAINERS
@@ -16051,6 +16051,7 @@ F:	Documentation/devicetree/bindings/net/
 F:	Documentation/networking/net_cachelines/net_device.rst
 F:	drivers/connector/
 F:	drivers/net/
+F:	drivers/ptp/
 F:	include/dt-bindings/net/
 F:	include/linux/cn_proc.h
 F:	include/linux/etherdevice.h
@@ -18606,13 +18607,12 @@ F:	drivers/hwmon/pt5161l.c
 
 PTP HARDWARE CLOCK SUPPORT
 M:	Richard Cochran <[email-masked]>
-L:	[email-masked]
 S:	Maintained
 W:	http://linuxptp.sourceforge.net/
 F:	Documentation/ABI/testing/sysfs-ptp
 F:	Documentation/driver-api/ptp.rst
 F:	drivers/net/phy/dp83640*
-F:	drivers/ptp/*
+F:	drivers/ptp/
 F:	include/linux/ptp_cl*
 K:	(?:\b|_)ptp(?:\b|_)

so that get_maintainers --scm can find the right tree?

> (and that I
> should have added net-next to the subject prefix and should have waited
> until -rc1)?

The wait would be nice but we'll live :)
The subject prefix is not a big deal.